Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdTriangleLocatorStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumTriangleLocators (void)
HRESULT | SetNumTriangleLocators ([in] RtDWORD dwNumTriangleLocators)
HRESULT | u1 ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | u1 ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | u2 ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | u2 ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | u3 ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | u3 ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v1 ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v1 ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v2 ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v2 ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v3 ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v3 ([in] RtDWORD dwIndex,[in] RtFloat newVal)

## Detailed Description

IRdTriangleLocatorStream specifies stream used to locate point on source mesh from point on modified target mesh. Stream consists of RtTriangleLocator items.

The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_TRIANGLE_LOCATOR id.

## Member Function Documentation

RtDWORD IRdTriangleLocatorStream::GetNumTriangleLocators | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::SetNumTriangleLocators | ( | [in] RtDWORD | dwNumTriangleLocators | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::u1 | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get U element of barycentric coordinates for first vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::u1 | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set U element of barycentric coordinates for first vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::u2 | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get U element of barycentric coordinates for second vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::u2 | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set U element of barycentric coordinates for second vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::u3 | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get U element of barycentric coordinates for third vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::u3 | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set U element of barycentric coordinates for third vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::v1 | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get V element of barycentric coordinates for first vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::v1 | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set V element of barycentric coordinates for first vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::v2 | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get V element of barycentric coordinates for second vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::v2 | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set V element of barycentric coordinates for second vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::v3 | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get V element of barycentric coordinates for third vertex Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleLocatorStream::v3 | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set V element of barycentric coordinates for third vertex Returns: standard HRESULT processing can be applied to returned value